<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('pesanan', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained()->cascadeOnDelete();
            $table->foreignId('alamat_id')->constrained('user_alamat')->cascadeOnDelete();
            $table->string('kode_pesanan')->unique();
            $table->integer('total_harga')->default(0);
            $table->enum('status', ['pending', 'dibayar', 'diproses', 'dikirim', 'selesai', 'dibatalkan'])->default('pending');
            $table->text('catatan')->nullable(); // Untuk menyimpan alasan pembatalan atau catatan lainnya
            $table->string('no_resi')->nullable(); // Untuk menyimpan nomor resi pengiriman
            $table->timestamp('tanggal_pembayaran')->nullable(); // Untuk mencatat kapan pembayaran dilakukan
            $table->timestamp('tanggal_pengiriman')->nullable(); // Untuk mencatat kapan dikirim
            $table->timestamp('tanggal_selesai')->nullable(); // Untuk mencatat kapan selesai
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pesanan');
    }
};